local icon = require("fschauen.util.icons").ui.Web

return {
  "tyru/open-browser.vim",

  cmd = {
    "OpenBrowser",
    "OpenBrowserSearch",
    "OpenBrowserSmartSearch",
  },

  keys = {
    {
      "<leader>o",
      "<Plug>(openbrowser-smart-search)",
      desc = icon .. " [o]pen URL under cursor or search the web",
      mode = { "n", "v" },
    },
  },

  init = function() vim.g.openbrowser_default_search = "duckduckgo" end,
}
